<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApprovalRollbacksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('st_approval_rollbacks', function (Blueprint $table) {
            $table->id();
            $table->string('user_id',45);
            $table->string('column_name',45);
            $table->string('field_name',45);
            $table->string('value',500);
            $table->integer('rand_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('approval_rollbacks');
    }
}
