<?php

namespace Modules\St\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class Uom extends Model
{
    protected $table = 'st_uom';
    protected $primaryKey = "uom_id";
    use HasFactory,LogsActivity;
    protected static $logAttributes = [
        'uom_id',
        'uom',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "st_uom";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }

    // protected $fillable = [];
    
    // protected static function newFactory()
    // {
    //     return \Modules\St\Database\factories\UomFactory::new();
    // }
}
